import os
from django.http import Http404
from django.shortcuts import render_to_response
from django.template import RequestContext

def document(request, name='home'):
    file = os.path.join(os.path.dirname(__file__), 'content', name + '.txt')
    if not os.path.exists(file):
        raise Http404
    fd = open(file)
    data = fd.read()
    fd.close()
    return render_to_response('doc.html', {'data': data}, context_instance=RequestContext(request))
