#!/usr/bin/python

import os, re, sqlite, sys
sys.path.append('..')
os.environ['DJANGO_SETTINGS_MODULE'] = 'ubotweb.settings'

from ubotweb.encyclopedia.models import Factoid

olddb = sqlite.connect('ubuntu.db')
cur = olddb.cursor()
cur.execute('SELECT name, value, author, added, popularity FROM facts WHERE value not like "%<alias>%" and name not like "%-also"')
facts = cur.fetchall()
for f in facts:
    name, value, author, added, popularity = f
    author = author[:author.find('!')]
    channel = ''
    if re.match(r'^.*-#\S+$', name):
        channel = name[name.rfind('#'):]
        name = name[:name.rfind('-#')]
    if value.startswith('<reply>'):
        value = value[7:].strip()
    else:
        value = name + ' is ' + value.strip()
    Factoid(name=name, value=value, channel=channel, 
            added_by=author, added_at=added, popularity=popularity).save()

cur.execute('SELECT name, value, author, added, popularity FROM facts WHERE value like "<alias>%" and name not like "%-also"')
facts = cur.fetchall()
for f in facts:
    name, value, author, added, popularity = f
    author = author[:author.find('!')]
    channel = ''
    alias_of=None
    if re.match(r'^.*-#\S+$', name):
        channel = name[name.rfind('#'):]
        name = name[:name.rfind('-#')]
    value = value[7:].strip()
    achannel = ''
    aname = value
    if re.match(r'^.*-#\S+$', aname):
        achannel = aname[aname.rfind('#'):]
        aname = aname[:aname.rfind('-#')]
    alias_of = Factoid.objects.get(name=aname, channel=achannel)
    Factoid(name=name, value='', channel=channel, 
            added_by=author, added_at=added, popularity=popularity,
            alias_of=alias_of).save()
